Bug 9100 - winbind doesn't return "Domain Local" groups from own domain
winbind doesn't return "Domain Local" groups from own domain
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Winbind
3.5.17
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 02:50 UTC by pr0ntab
Modified: 2012-08-23 18:25 UTC (History)
0 users

See Also:


Attachments
Removes the SID filtering behavior (4.03 KB, patch)
2012-08-17 02:50 UTC, pr0ntab
no flags Details
git-am fix for 3.5.next (4.34 KB, patch)
2012-08-17 20:52 UTC, Jeremy Allison
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pr0ntab 2012-08-17 02:50:56 UTC
Created attachment 7787 [details]
Removes the SID filtering behavior

This is the same issue as Bug #9052 which was resolved in Samba 3.6 series.

Issue, as summarized by Andreas Schneider <asn@samba.org>---

We don't resolve our own "Domain Local" groups since bug #7843 has been
fixed. So we need to add the add resource groups to the sid list too.

Before bug #7843 the "Domain Local" groups were added with a
lookupuseraliases call, but this isn't done anymore for our domain
so we need to resolve resource groups here.

When to use Resource Groups:
http://technet.microsoft.com/en-us/library/cc753670%28v=WS.10%29.aspx
Comment 1 Jeremy Allison 2012-08-17 20:52:57 UTC
Created attachment 7793 [details]
git-am fix for 3.5.next

Please check this version (slight addition to your fix to make it compile). If you're happy I'll get additional review and add it to 3.5.next.

Thanks !

Jeremy.
Comment 2 pr0ntab 2012-08-18 01:35:37 UTC
Looks great, thanks! Also good to include the comment from the referred patch from 3.6.x
Comment 3 Jeremy Allison 2012-08-20 20:41:38 UTC
Comment on attachment 7793 [details]
git-am fix for 3.5.next

Andreas, please review for 3.5.next - thanks !

Jeremy.
Comment 4 Andreas Schneider 2012-08-22 08:02:46 UTC
Comment on attachment 7793 [details]
git-am fix for 3.5.next

Looks fine for me.
Comment 5 Jeremy Allison 2012-08-22 17:07:48 UTC
Re-assigning to Karolin for inclusion in 3.5.next.

Thanks !

Jeremy.
Comment 6 Karolin Seeger 2012-08-23 18:25:16 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!